package com.piece_framework.piece_ide.form_designer.ui;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorSite;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.forms.editor.FormEditor;

public class FormDesignerEditor extends FormEditor {
    @Override
    public void init(IEditorSite site, IEditorInput input)
            throws PartInitException {
        super.init(site, input);

        setPartName(input.getName());
    }

    @Override
    protected void addPages() {
        try {
            addPage(new FieldsPage(this));
        } catch (PartInitException e) {
            e.printStackTrace();            
        }
    }

    @Override
    public void doSave(IProgressMonitor monitor) {
        commitPages(true);
        editorDirtyStateChanged();
    }

    @Override
    public void doSaveAs() {
    }

    @Override
    public boolean isSaveAsAllowed() {
        return false;
    }
}
